Start OIDC login
curl -X GET "https://slugbase.app/api/auth/example_string" \
-H "Content-Type: application/json"
import requests
import json
url = "https://slugbase.app/api/auth/example_string"
headers = {
"Content-Type": "application/json"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://slugbase.app/api/auth/example_string", {
method: "GET",
headers: {
"Content-Type": "application/json"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://slugbase.app/api/auth/example_string", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://slugbase.app/api/auth/example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
response = http.request(request)
puts response.body
{}
GET
/api/auth/{provider}GET
path
providerstring
RequiredOIDC provider key
Request Preview
Response
Response will appear here after sending the request
Path Parameters
providerstring
RequiredOIDC provider key
Responses
Redirect to IdP
Was this page helpful?
Last updated Apr 17, 2026
Built with Documentation.AI